%define upstream_name    Parallel-Prefork
%define upstream_version 0.18

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    A prefork server framework with support for (min|max) spare servers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Parallel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor::Lite) >= 0.40.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Proc::Wait3) >= 0.30.0
BuildRequires: perl(Scope::Guard)
BuildRequires: perl(Signal::Mask)
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Test::SharedFork)
BuildArch:  noarch

%description
'Parallel::Prefork' is much like 'Parallel::ForkManager', but supports
graceful shutdown and run-time reconfiguration.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.180.0-7.mga9
+ Revision: 1809978
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.180.0-6.mga8
+ Revision: 1505861
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.180.0-5.mga7
+ Revision: 1285483
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.180.0-4.mga7
+ Revision: 1166124
- rebuild with fixed rpm for missing autodeps

* Wed Sep 27 2017 tv <tv> 0.180.0-3.mga7
+ Revision: 1160656
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.180.0-2.mga6
+ Revision: 1031630
- Rebuild for perl 5.22.2

* Wed Feb 10 2016 shlomif <shlomif> 0.180.0-1.mga6
+ Revision: 953366
- update to 0.18

* Mon Feb 08 2016 umeabot <umeabot> 0.170.0-5.mga6
+ Revision: 949483
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.170.0-4.mga5
+ Revision: 789787
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.170.0-3.mga5
+ Revision: 743655
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.170.0-2.mga5
+ Revision: 685878
- Mageia 5 Mass Rebuild

* Tue Jul 15 2014 sander85 <sander85> 0.170.0-1.mga5
+ Revision: 652915
- update to 0.17

* Tue Apr 22 2014 jquelin <jquelin> 0.150.0-1.mga5
+ Revision: 617375
- update to 0.15

* Sat Oct 19 2013 umeabot <umeabot> 0.140.0-2.mga4
+ Revision: 527199
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.140.0-1.mga4
+ Revision: 439725
- update to 0.14

* Sun Jan 13 2013 umeabot <umeabot> 0.130.0-2.mga3
+ Revision: 371457
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 05 2011 kharec <kharec> 0.130.0-1.mga2
+ Revision: 163517
- update to 0.13
+ jquelin <jquelin>
- imported package perl-Parallel-Prefork


* Mon Jul 25 2011 cpan2dist 0.11-1mga
- initial mageia release, generated with cpan2dist
